<?php
require "include/bittorrent.php";
if ($_SERVER["REQUEST_METHOD"] != "POST")
 stderr("Fehler", "<h2><center>Art der Methode</center></h2>");

   dbconn();

    loggedinorreturn();

       $msg = trim($_POST["msg"]);
       $subject = trim($_POST["subject"]);

       if (!$msg)
    stderr("Fehler","<h2><center>Bitte trage etwas als Nachricht ein!");

       if (!$subject)
    stderr("Fehler","<h2><center>Kein Betreff vorhanden!</center></h2>");

     $added = "'" . get_date_time() . "'";
     $userid = $CURUSER['id'];
     $message = sqlesc($msg);
     $subject = sqlesc($subject);

 mysql_query("INSERT INTO staffmessages (sender, added, msg, subject) VALUES($userid, $added, $message, $subject)") or sqlerr(__FILE__, __LINE__);

       if ($_POST["returnto"])
 {
   header("Location: " . $_POST["returnto"]);
   die;
 }

  stdhead();
  stdmsg("Abgeschickt", "<h2><center>Nachricht wurde erfolgreich an das Team versendet!</center></h2>");

       stdfoot();
       exit;
?>